#pragma once

class CDiscTree : public CTreeCtrl
{
public:
	CDiscTree(void):m_pTreeCtrl(0){};
	inline ~CDiscTree(void){};

	inline void			SetSeletedItem(HTREEITEM hItem){m_SeletedItem = hItem;};
	inline HTREEITEM	GetSeletedItem(){return m_SeletedItem;};

	inline CString		GetLastSelectedFullPath(){return m_LastSelectedPath;};
	inline void			SetLastSelectedFullPath(CString lastPath){m_LastSelectedPath = lastPath;};

	void		InitCtrl(HWND hWnd,CTreeCtrl& TreeCtrl);
	void		ItemExpanding(const NMHDR* pNMHDR, LRESULT* pResult);
	
	BOOL		NewFolder();
	BOOL		DeleteFolder();
	BOOL		RenamingFolder(const LPNMTVDISPINFO &pTVDispInfo);
	
	CString		GetFullPath(HTREEITEM hItem);	
	CString		GetParentPath(CString strPath);
	

private:
	
	void			GetDriveNamesAndRegistration(CStringArray &driveArray);
	void			DisplayPath(HTREEITEM hParent, CString strPath);
	
	
	CString			GetSubPath(CString strPath);

	BOOL			GetSysImgList(void);
	BOOL			FindSubFolder(CString strPath);

	HTREEITEM		AddItem(HTREEITEM hParent, CString strPath);
	
	CString			m_LastSelectedPath;
	HTREEITEM		m_SeletedItem;
	CTreeCtrl		*m_pTreeCtrl;
	CStringArray	m_arryDriveName;
	CImageList		m_ImgList;
	
	
};
