#include "stdafx.h"
#include "resource.h"
#include "DMake.h"

IMPLEMENT_DYNCREATE(CDMake, CWinThread)

BOOL CDMake::MakeDummy()
{
	m_lProgressPercentage = 0;
	if(m_lFileSize<=LimitedFileSize)
	{
		
		CString			tmpStrFullPath;
		unsigned char	tmpWrite[1024]={0,};
		DWORD			dwWritten;
		LONG			TotalJobCount = m_lQuantity*m_lFileSize;
		LONG			JobCount=0;
        
		for(LONG cnt=1; cnt<=m_lQuantity; cnt++ ){
			tmpStrFullPath =  m_strPath;
			TCHAR tmpFileName[100] ={0,};
			_stprintf_s(tmpFileName, sizeof(tmpFileName),"\\DummyFile-%d.bin",cnt);
			tmpStrFullPath +=tmpFileName;

			//Randomize
			srand((UINT)time(NULL));
				
			HANDLE hFile = ::CreateFile(tmpStrFullPath,GENERIC_WRITE,0,NULL,CREATE_ALWAYS,FILE_ATTRIBUTE_NORMAL,NULL);
			for(LONG cnt3=1; cnt3<=m_lFileSize;cnt3++ ){
				
				for (LONG cnt2 = 0; cnt2<1024; cnt2++)
					tmpWrite[cnt2] = (unsigned char)rand() % 256;
				::WriteFile(hFile,tmpWrite,1024,&dwWritten,NULL);
			
				JobCount++;
				m_lProgressPercentage = (JobCount*100)/TotalJobCount;
				m_pProgress->SetPos(m_lProgressPercentage);
				if(m_lProgressPercentage==100)
					m_pStatic->SetWindowText("Making Complete");
				else
                    m_pStatic->SetWindowText(tmpStrFullPath);

			}
			::CloseHandle(hFile);
		}
	}
	return TRUE;

}


int CDMake::Run()
{
	MakeDummy();
	return 0;
}


void CDMake::Set(LONG fileSize, LONG quantity, const CString &path, CProgressCtrl *progress, CStatic *staticCtrl)
{
	m_lFileSize	= fileSize;
	m_lQuantity	= quantity;
	m_strPath	= path;
	m_pProgress	= progress;
	m_pStatic	= staticCtrl;

}

 