#pragma once
#include "afxwin.h"

#define LimitedFileSize	4000001

class CDMake : public CWinThread
{
	DECLARE_DYNCREATE(CDMake);	

public:
	CDMake(void){};
	virtual ~CDMake(void){};
	virtual BOOL	InitInstance(){return TRUE;};
	virtual int		Run();
	
	
	
	inline LONG	GetLimitedFileSize(){return LimitedFileSize;}
	inline LONG GetProgressPercentage(){return m_lProgressPercentage;}

	void Set(LONG fileSize, LONG quantity, const CString &path, CProgressCtrl *progress, CStatic *staticCtrl);

	BOOL MakeDummy();
		
private:
	LONG			m_lFileSize;
	LONG			m_lQuantity;
	CString			m_strPath;
	LONG			m_lProgressPercentage;
	CProgressCtrl	*m_pProgress;
	CStatic			*m_pStatic;
	
};

